<?php  

$wp_customize->add_section(
    'feature_area',
    array(
        'title' => __('Feature Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
  // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'feature_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'feature_area_disable',
            array(
                'settings'      => 'feature_area_disable',
                'section'       => 'feature_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'feature', 'feature_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'featuresection_padding', 'feature_area', ' Section Padding ');

$wp_customize->add_setting(
    'feature_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'feature_areaTpadding',
    array(
        'settings'      => 'feature_areaTpadding',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'feature_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'feature_areaBpadding',
    array(
        'settings'      => 'feature_areaBpadding',
        'section'       => 'feature_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


$wp_customize->add_setting('feature_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'feature_npp_heading',
        array(
            'settings'      => 'feature_npp_heading',
            'section'       => 'feature_area',
            'label'         => __( 'Number Of Feature To Show', 'Luzuk Premium' ),
        )
    )
);    

$wp_customize->add_setting('feature_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control(
    'feature_npp_count',
    array(
        'settings'      => 'feature_npp_count',
        'section'       => 'feature_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Features to show', 'Luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8)
    )
);


//FEATURED PAGES
for( $i = 1; $i <= 9; $i++ ){
    $wp_customize->add_setting(
        'feature_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'feature_header'.$i,
            array(
                'settings'      => 'feature_header'.$i,
                'section'       => 'feature_area',
                'label'         => __( 'Feature Box ', 'Luzuk Premium' ).$i
            )
        )
    );

    $wp_customize->add_setting(
        'feature_page_icon'.$i,
        array(
            'default'           => 'fa fa-diamond',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'feature_page_icon'.$i,
            array(
                'settings'      => 'feature_page_icon'.$i,
                'section'       => 'feature_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'Luzuk Premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'feature_page_title'.$i, 'feature_area', $type = 'text', $label="Feature Title", $callback ='luzuk_sanitize_text', $default='Decor & Styling');

lzAddElement($wp_customize, 'feature_page_txt'.$i, 'feature_area', $type = 'text', $label="Feature Text", $callback ='luzuk_sanitize_text', $default='Lorem Ipsum is simply dummy text of the industry.');

lzAddElement($wp_customize, 'feature_btn_txt'.$i, 'feature_area', $type = 'text', $label="Feature Text", $callback ='luzuk_sanitize_text', $default='Learn More');

lzAddElement($wp_customize, 'ourfeatured_page_url_'.$i, 'feature_area', $type = 'text', $label="Feature Page Link", $callback ='esc_url', $default='Add link here');
    
}


lzCustomLable($wp_customize, 'feature_sectioncolor', 'feature_area', 'Section Color');

addColorPalatOption($wp_customize, 'feature_conbxbrdClr', 'feature_area', 'Box Hover Border Color', '#EC003F');

addColorPalatOption($wp_customize, 'feature_conbxbgClr', 'feature_area', 'Box Hover BG Color', '#fff');

addColorPalatOption($wp_customize, 'feature_conbxicnClr', 'feature_area', 'Icon Color', '#000');

addColorPalatOption($wp_customize, 'feature_titleClr', 'feature_area', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'feature_titlehvClr', 'feature_area', 'Title Hover Color', '#EC003F');

addColorPalatOption($wp_customize, 'feature_txtClr', 'feature_area', 'Text Color', '#6a6767');

addColorPalatOption($wp_customize, 'feature_btntxtClr', 'feature_area', 'Button Text Color', '#000');

addColorPalatOption($wp_customize, 'feature_btntxthvClr', 'feature_area', 'Button Text Hover Color', '#EC003F');
